/*----------------------------------------------------------------------------*/
/* File: cnv_hdl_pad_right.h    				              */
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* IMR - Interlinking Message Router                                          */
/* Copyright (C) 2005 Arnaud G. Gibert & Others (See ReadMe.txt)              */
/* mailto:arnaud@rx3.net                                                      */
/* http://www.rx3.org/dvp/?dvp=imr                                            */
/*----------------------------------------------------------------------------*/
/* This file is part of IMR                                                   */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software Foundation,    */
/* Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.        */
/*----------------------------------------------------------------------------*/

#ifndef _CNV_HANDLER_PAD_RIGHT_H_
#define _CNV_HANDLER_PAD_RIGHT_H_

/*----------------------------------------------------------------------------*/
/* Global Include                                                             */
/*----------------------------------------------------------------------------*/

#include "libmapping_mng.h"

/*----------------------------------------------------------------------------*/
/*	Prototypes							      */
/*----------------------------------------------------------------------------*/

#ifdef _CNV_HANDLER_PAD_RIGHT_C_

    IMRT_Status	    MM_Pad_Right_Init   ( void );
    IMRT_Status	    MM_Pad_Right_DeInit ( void );
    IMRT_Status	    MM_Pad_Right_Convert( IMRT_Buffer_Data * ,IMRT_Buffer_Data * , size_t * , size_t , IMRT_Cnv_Attr ); 

#else
    extern     IMRT_Status	    MM_Pad_Right_Init   ( void );
    extern     IMRT_Status	    MM_Pad_Right_DeInit ( void );
    extern     IMRT_Status	    MM_Pad_Right_Convert( IMRT_Buffer_Data * ,IMRT_Buffer_Data * , size_t * , size_t , IMRT_Cnv_Attr ); 

#endif

/*----------------------------------------------------------------------------*/

#endif                                   


