/*----------------------------------------------------------------------------*/
/* File: arc_hdl_xml.h 				                 	      */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* IMR - Interlinking Message Router                                          */
/* Copyright (C) 2005 Arnaud G. Gibert & Others (See ReadMe.txt)              */
/* mailto:arnaud@rx3.net                                                      */
/* http://www.rx3.org/dvp/?dvp=imr                                            */
/*----------------------------------------------------------------------------*/
/* This file is part of IMR                                                   */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software Foundation,    */
/* Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.        */
/*----------------------------------------------------------------------------*/

#ifndef _ARC_HDL_XML_H_
#   define _ARC_HDL_XML_H_



/*----------------------------------------------------------------------------*/
/* Global Include                                                             */
/*----------------------------------------------------------------------------*/

#   include <libstatic_data_mng.h>



#   ifdef _ARC_HDL_XML_C_
/*-----------------------------------------------------------------------------*/
/*Globale Variable                                                             */
/*-----------------------------------------------------------------------------*/


xmlSAXHandler ErrorSAXHandlerStruct = {
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    1,
    NULL,
    NULL,
    NULL,
    NULL
};
# else
extern xmlSAXHandler ErrorSAXHandlerStruct; 

# endif
/*----------------------------------------------------------------------------*/
/* Prototypes                                                                 */
/*----------------------------------------------------------------------------*/

#   ifdef _ARC_HDL_XML_C_

IMRT_Status SDM_HDR_XML_Init(IMRT_SDM_Flag  Flag);
IMRT_Status SDM_HDR_XML_DInit(void);
void SDM_RaiseError(xmlParserCtxt * Ctx_Sax_Ptr, IMRT_Error * Struct_Erro_Ptr ,IMRT_Status * Flag_Error , 
		    const char* functionname, const char* lib_error, const int code );

#   else

extern IMRT_Status SDM_HDR_XML_Init(IMRT_SDM_Flag  Flag);
extern IMRT_Status SDM_HDR_XML_DInit(void);
extern 	void SDM_RaiseError(xmlParserCtxt * Ctx_Sax_Ptr, IMRT_Error * Struct_Erro_Ptr ,IMRT_Status * Flag_Error , 
			    const char* functionname, const char* lib_error, const int code );

#   endif





/*----------------------------------------------------------------------------*/

#endif
