<!-- mapping de l'entete communs des cre fixed <-> xml -->
msgmap_object(crt_cre_header-crt_cre_header,crt_cre_header,crt_cre_header,
				code_banque_ctrl,code_banque_ctrl,
				reference_du_flux,reference_du_flux,
				type_cre,type_cre,
				horodatage_pf_p,horodatage_pf_p,
				code_utilisateur_final,code_utilisateur_final,
				code_utilisateur_back_office,code_utilisateur_back_office,
				code_guichet_pf_p,code_guichet_pf_p,
				commentaire,commentaire,
				code_utilisateur_final_initial,code_utilisateur_final_initial,
				code_utilisateur_back_office_initial,code_utilisateur_back_office_initial,
				code_guichet_pf_p_initial,code_guichet_pf_p_initial,
				indicateur_doublon,indicateur_doublon)
<!-- mapping de l'entete communs des cre xml->fixed -->
<!-- concernent les champs definis en fixed et pas en xml -->
msgmap_object(crt_cre_header-crt_cre_header_special_fixed,crt_cre_header,crt_cre_header,
				zone_reservee,zone_reservee,
				horodatage_13c,horodatage_13c,
				heure_d_echeance_cls,heure_d_echeance_cls,
				indic_troncature_13c,indic_troncature_13c,
				zone_reservee2,zone_reservee2)
<!-- mapping de l'entete des cre sur vgm/or emis fixed <-> xml -->
msgmap_object(crt_cre_flux_emis_header-crt_cre_flux_emis_header,crt_cre_flux_emis_header,crt_cre_flux_emis_header,
				reference_emetteur,reference_emetteur,
				indicateur_provenance_flux,indicateur_provenance_flux,
				code_operateur_saisie,code_operateur_saisie,
				indicateur_de_synchronisation,indicateur_de_synchronisation,
				code_statut_cri,code_statut_cri,
				code_raison,code_raison,
				heure_statut_cri,heure_statut_cri,
				num_sequence_fifo,num_sequence_fifo,
				libelle_cre,libelle_cre,
				type_flux,type_flux,
				libelle_motif,libelle_motif,
				code_responsable,code_responsable,
				ref_util,ref_util,
				code_util,code_util,
				num_fic_origine,num_fic_origine,
				horodatage_pf_p,horodatage_pf_p,
				ref_annonce,ref_annonce,
				bic_emetteur,bic_emetteur,
				bic_recepteur,bic_recepteur,
				bic_recepteur_initial,bic_recepteur_initial,
				canal_de_routage,canal_de_routage,
				canal_de_routage_initial,canal_de_routage_initial,
				canal_de_routage_final,canal_de_routage_final,
				ref_emetteur_cri,ref_emetteur_cri,
				heure_d_echeance_champ_113,heure_d_echeance_champ_113)
<!-- mapping de l'entete des cre sur vgm/or recus fixed <-> xml -->
msgmap_object(crt_cre_flux_recu_header-crt_cre_flux_recu_header,crt_cre_flux_recu_header,crt_cre_flux_recu_header,
				reference_emetteur,reference_emetteur,
				indicateur_de_synchronisation,indicateur_de_synchronisation,
				code_statut_cri,code_statut_cri,
				code_raison,code_raison,
				heure_statut_cri,heure_statut_cri,
				num_sequence_fifo,num_sequence_fifo,
				libelle_cre,libelle_cre,
				type_flux,type_flux,
				libelle_motif,libelle_motif,
				horodatage_pf_p,horodatage_pf_p,
				ref_util_virement,ref_util_virement,
				ref_annonce,ref_annonce,
				bic_emetteur,bic_emetteur,
				bic_recepteur,bic_recepteur,
				canal_de_routage,canal_de_routage,
				rib_recep,rib_recep,
				heure_d_echeance_champ_113,heure_d_echeance_champ_113)
<!-- mapping de l'entete des cre de rejet fixed <-> xml -->
			<!-- A VOIR xml sans fixed -->
			<!--<fieldmap>
				<inputfield>detail_motif_rej</inputfield>
				<outputfield>detail_motif_rej</outputfield>
			</fieldmap>-->
msgmap_object(crt_cre_rejet_header-crt_cre_rejet_header,crt_cre_rejet_header,crt_cre_rejet_header,
				libelle_cre,libelle_cre,
				type_flux,type_flux,
				code_rejet_motif,code_rejet_motif,
				libelle_motif,libelle_motif,
				horodatage_pf_p,horodatage_pf_p)
<!-- mapping de l'entete specifique des flux contenus dans les cre de rejet fixed <-> xml -->
msgmap_object(crt_cre_flux_stlm_header-crt_cre_flux_stlm_header,crt_cre_flux_stlm_header,crt_cre_flux_stlm_header,
				ref_util,ref_util,
				ind_ann_gen,ind_ann_gen,
				ref_ann,ref_ann,
				type_ann,type_ann,
				ref_ann_init,ref_ann_init,
				code_acc_int,code_acc_int,
				bic_emetteur,bic_emetteur,
				bic_recepteur,bic_recepteur,
				ident_bq_desti,ident_bq_desti,
				bic_bq_desti,bic_bq_desti,
				priorite_reseau,priorite_reseau,
				canal_de_routage,canal_de_routage,
				heure_d_echeance_champ_113,heure_d_echeance_champ_113,
				heure_emission_tot,heure_emission_tot,
				heure_emission_tard,heure_emission_tard)
<!-- mapping de l'entete communs des cre fixed <-> xml -->
msgmap_object(crt_cre_flux_header-crt_cre_flux_header,crt_cre_flux_header,crt_cre_flux_header,
				code_banque_ctrl,code_banque_ctrl,
				type_flux,type_flux,
				code_util,code_util,
				code_guichet_pf_p,code_guichet_pf_p,
				authentification,authentification,
				num_fichier,num_fichier,
				responsable,responsable,
				commentaire,commentaire,
				r1,r1,
				r2,r2,
				r3,r3,
				r4,r4,
				service_desti,service_desti,
				service_desti_initial,service_desti_initial,
				canal_final,canal_final,
				bic_cri_recep,bic_cri_recep,
				code_pays_desti,code_pays_desti,
				ident_acteur,ident_acteur,
				code_siege_emet,code_siege_emet,
				ref_denotage,ref_denotage,
				code_appli_routage,code_appli_routage,
				code_siege_routage,code_siege_routage,
				ref_unique_interne,ref_unique_interne,
				heure_debit_rtgs_emet,heure_debit_rtgs_emet,
				ident_pdse,ident_pdse,
				nature_operation,nature_operation,
				heure_ech_cls,heure_ech_cls,
				zone_reservee,zone_reservee)
