changecom(`<!--', `-->')dnl
dnl
dnl+--------------------------------------+
dnl|    Begin Macro Section               |
dnl+--------------------------------------+
dnl
define(`fixed_xml',
<!-- branche BB2 mapping des donnees communes au virement bancaire et au virement de clientele -->
<!-- branche BB3 mapping des donnees specifiques au virement bancaire -->
<!-- branche BB4 mapping des donnees specifiques au virement de clientele -->
<!-- branche BB5 mapping des donnees specifiques aux ordres de restitutuion (y compris entete) -->
<!-- branche BB6 mapping des blocs communs (52 56 57 72 ) au virement bancaire et au virement de clientele -->
<!-- branche BB10 mapping des blocs au format A B ou blanc -->
<!-- branche BB11 mapping des blocs au format D ou K -->
<!-- branche BB13 mapping du bloc 13C -->
<!-- branche BB55 et BB5513 mapping du bloc 55 -->
<!-- branche 1900 :  mapping specifique des msg des titres -->
<!-- branche 2500 :  mapping specifique des msg de matcc -->
<!-- branche BB55 et BB5513 mapping du bloc 55 -->
<!-- Buffer BUF2 (fixed) pour donnees du virement -->
<!-- Buffer BUF3 (fixed) pour donnees du virement de clientele (du bloc 56 au bloc 77) -->
<!-- Buffer BUF10 (fixed) pour mapping du bloc 13C -->
<!-- Buffer BUF11 (fixed) pour bloc 50 -->
<!-- Buffer BUF12 (fixed) pour bloc 52 -->
<!-- Buffer BUF13 (fixed) pour bloc 55 -->
<!-- Buffer BUF14 (fixed) pour bloc 56 -->
<!-- Buffer BUF15 (fixed) pour bloc 57 -->
<!-- Buffer BUF16 (fixed) pour bloc 58 -->
<!-- Buffer BUF17 (fixed) pour bloc 59 -->
<!-- Buffer BUF18 (fixed) pour bloc 72 -->
<!-- Buffer BUF20 (fixed ou delimited) pour mapping des blocs "delimited"  il est reutilise -->
<!-- Buffer BUF30 (fixed) pour msg de matcc et titres : buffer intermediaire -->
<!-- identification de la provenance des messages en fonction des tailles -->
`cmd_identifier(branchCommuneVirtBankCus,bufferWork,y,crt_msg_bo_ident,'
`				Fixed,crt_msg_titres,branchTitres,'
`				Fixed,crt_msg_matcc,branchMatcc,'
`				Fixed,unknown,branchCommuneVirtBankCus)'
<!-- suppression des caracteres supperflus en fin des messages des titres -->
`cmd_mapper(branchTitres,Fixed,,Fixed,,bufferWork,bufferTempMatccTitres,,strip_end_msg-strip_end_msg)'
`cmd_mapper(branchTitres,Fixed,,Fixed,,bufferTempMatccTitres,bufferWork,activeClearFlag,cut_end_msg-cut_end_msg1)'
`cmd_go_to(branchTitres,branchCommuneVirtBankCus)'
<!-- suppression des caracteres supperflus en fin des messages de matcc -->
`cmd_mapper(branchMatcc,Fixed,,Fixed,,bufferWork,bufferTempMatccTitres,,strip_end_msg-strip_end_msg)'
`cmd_mapper(branchMatcc,Fixed,,Fixed,,bufferTempMatccTitres,bufferWork,activeClearFlag,cut_end_msg-cut_end_msg2)'
`cmd_go_to(branchMatcc,branchCommuneVirtBankCus)'

`cmd_identifier(branchCommuneVirtBankCus,bufferWork,y,crt_flux_ident,'
`				Fixed,crt_flux_vs02,branchCommuneVirtBankCus,'
`				Fixed,crt_flux_vs03,branchCommuneVirtBankCus,'
`				Fixed,crt_flux_vs04,branchCommuneVirtBankCus,'
`				Fixed,crt_flux_vs07,branchCommuneVirtBankCus,'
`				Fixed,crt_flux_vs08,branchCommuneVirtBankCus,'
`				Fixed,crt_flux_os01,branchVirtOr)'
		<!-- mapping des entete_commun et entete_vgm -->
`cmd_mapper(branchCommuneVirtBankCus,Fixed,,XML,,bufferWork,bufferTemp,activeClearFlag,crt_flux_header-crt_flux_header)'
`cmd_mapper(branchCommuneVirtBankCus,Fixed,,XML,,bufferWork,bufferTemp,,crt_flux_stlm_header-crt_flux_stlm_header)'
		<!-- extraction des donnees du virement -->
`cmd_mapper(branchCommuneVirtBankCus,Fixed,,Fixed,,bufferWork,bufferDataMsg,,crt_flux_stlm-crt_flux_stlm-extract_stlm_from_flux)'
		<!-- identification complete a partir de la branche 0 -->
`cmd_identifier(branchCommuneVirtBankCus,bufferWork,y,crt_flux_ident,'
`				Fixed,crt_flux_vs02,branchVirtBank,'
`				Fixed,crt_flux_vs03,branchVirtBank,'
`				Fixed,crt_flux_vs04,branchVirtBank,'
`				Fixed,crt_flux_vs07,branchVirtCus,'
`				Fixed,crt_flux_vs08,branchVirtCus)'
<!-- partie commune aux flux destines a cristal et aux cre -->
<!-- branche BB3 mapping des donnees du virement bancaire -->
		<!-- mapping des donnees du virement bancaire hors 13c 52 56 57 58 et 72 -->
`cmd_mapper(branchVirtBank,Fixed,,XML,,bufferDataMsg,bufferTemp,,crt_flux_stlm_bk-crt_flux_stlm_bk)'
	<!-- bloc 13C -->
		<!-- recherche existence du bloc 13C -->
`cmd_identifier(branchVirtBank,bufferDataMsg,n,crt_flux_stlm_sans13c,'
`				Fixed,crt_flux_stlm_bk_sans13c,branchVirtBank,'
`				Fixed,crt_flux_stlm_bk_avec13c,branchFld13)'
		<!-- extraction du bloc 13c -->
`cmd_mapper(branchFld13,Fixed,,Fixed,,bufferDataMsg,bufferMapping13C,,crt_flux_stlm_bk-swf_field_13c)'
		<!-- mapping du bloc 13c -->
`cmd_mapper(branchFld13,Fixed,,XML,,bufferMapping13C,bufferTemp,,swf_field_13c-swf_field_13c)'
`cmd_go_to(branchFld13,branchVirtBank)'
	<!-- fin bloc 13C -->
		<!-- extraction du bloc 52 du virement bancaire -->
`cmd_mapper(branchVirtBank,Fixed,,Fixed,,bufferDataMsg,bufferMapping52,,crt_flux_stlm_bk-swf_field_52x)'
		<!-- extraction du bloc 56 du virement bancaire -->
`cmd_mapper(branchVirtBank,Fixed,,Fixed,,bufferDataMsg,bufferMapping56,,crt_flux_stlm_bk-swf_field_56x)'
		<!-- extraction du bloc 57 du virement bancaire -->
`cmd_mapper(branchVirtBank,Fixed,,Fixed,,bufferDataMsg,bufferMapping57,,crt_flux_stlm_bk-swf_field_57x)'
		<!-- extraction du bloc 58 du virement bancaire -->
`cmd_mapper(branchVirtBank,Fixed,,Fixed,,bufferDataMsg,bufferMapping58,,crt_flux_stlm_bk-swf_field_58x)'
		<!-- extraction du bloc 72 du virement bancaire -->
`cmd_mapper(branchVirtBank,Fixed,,Fixed,,bufferDataMsg,bufferMapping72,,crt_flux_stlm_bk-swf_field_72)'
	<!-- traitement du bloc 58 specifique au virement bancaire -->
		<!-- identifier format du bloc 58 -->
`cmd_identifier(branchVirtBank,bufferMapping58,n,swf_field_58x,'
`				Fixed,swf_field_58d_fmt,branchFld_D_K,'
`				Fixed,swf_field_58a_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_58b_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_58vide_fmt,branchVirtBank)'
		<!-- mapping du bloc 58A  -->
`cmd_mapper(branchFld_A_B_Blanc,Fixed,,XML,,bufferMapping58,bufferTemp,,swf_field_58x-swf_field_58x-format_a)'
`cmd_go_to(branchFld_A_B_Blanc,branchVirtBank)'
		<!-- mapping du bloc 58D (hors complements) -->
`cmd_mapper(branchFld_D_K,Fixed,,XML,,bufferMapping58,bufferTemp,,swf_field_58x-swf_field_58x-format_d)'
		<!-- extraction de complements du bloc58D -->
`cmd_mapper(branchFld_D_K,Fixed,,Fixed,,bufferMapping58,bufferWorkMultiligne,activeClearFlag,swf_field_58x-swf_field_58d_comp)'
		<!-- mapping de complements du bloc58D -->
`champ_multiligne(branchFld_D_K,bufferWorkMultiligne,bufferTemp,branchVirtBank,bufferTempMultiligne,swf_field_58d_comp-swf_field_58d_comp)'
	<!-- fin bloc 58 -->
`cmd_go_to(branchVirtBank,branchMappingCommunBankCus)'
<!-- fin branche BB3 -->
<!-- branche BB4 mapping des donnees du virement de clientele -->
		<!-- identification du virement de clientele -->
`cmd_identifier(branchVirtCus,bufferDataMsg,n,crt_flux_stlm_cus_sans55,'
`				Fixed,crt_flux_stlm_cus_sans55_sans13c,branchVirtCus,'
`				Fixed,crt_flux_stlm_cus_sans55_avec13c,branchFld13,'
`				Fixed,crt_flux_stlm_cus_avec55_sans13c,branchFld55,'
`				Fixed,crt_flux_stlm_cus_avec55_avec13c,branchFld55avec13C)'
<!-- traitement sans bloc 55 et avec bloc 13C -->
		<!-- extraction du bloc 13c -->
`cmd_mapper(branchFld13,Fixed,,Fixed,,bufferDataMsg,bufferMapping13C,,cus_champ_13c_sans55-swf_field_13c)'
		<!-- mapping du bloc 13c -->
`cmd_mapper(branchFld13,Fixed,,XML,,bufferMapping13C,bufferTemp,,swf_field_13c-swf_field_13c)'
`cmd_go_to(branchFld13,branchVirtCus)'
<!-- traitement sans bloc 55 -->
		<!-- extraction de la fin du virement (du bloc 56 au bloc 77) -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataMsg,bufferDataVirtCus,,crt_flux_stlm_cus_56_a_77-crt_flux_stlm_cus_56_a_77-sans55-extract)'
<!-- fin traitement sans bloc 55 -->
<!-- traitement avec bloc 55 et bloc 13C -->
		<!-- extraction du bloc 13c -->
`cmd_mapper(branchFld55avec13C,Fixed,,Fixed,,bufferDataMsg,bufferMapping13C,,cus_champ_13c_avec55-swf_field_13c)'
		<!-- mapping du bloc 13c -->
`cmd_mapper(branchFld55avec13C,Fixed,,Fixed,,bufferMapping13C,bufferTemp,,swf_field_13c-swf_field_13c)'
`cmd_go_to(branchFld55avec13C,branchFld55)'
<!-- traitement avec bloc 55 -->
		<!-- extraction de la fin du virement (du bloc 56 au bloc 77) -->
`cmd_mapper(branchFld55,Fixed,,Fixed,,bufferDataMsg,bufferDataVirtCus,,crt_flux_stlm_cus_56_a_77-crt_flux_stlm_cus_56_a_77-avec55-extract)'
		<!-- extraction du bloc 55 du virement bancaire -->
`cmd_mapper(branchFld55,Fixed,,Fixed,,bufferDataMsg,bufferMapping55,,crt_flux_stlm_cus-swf_field_55x)'
		<!-- identifier format du bloc 55 -->
`cmd_identifier(branchFld55,bufferMapping55,n,swf_field_55x,'
`				Fixed,swf_field_55d_fmt,branchFld_D_K,'
`				Fixed,swf_field_55a_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_55b_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_55vide_fmt,branchFld_A_B_Blanc)'
		<!-- mapping du bloc 55A  -->
`cmd_mapper(branchFld_A_B_Blanc,Fixed,,XML,,bufferMapping55,bufferTemp,,swf_field_55x-swf_field_55x-format_a)'
`cmd_go_to(branchFld_A_B_Blanc,branchVirtCus)'
		<!-- mapping du bloc 55D (hors complements) -->
`cmd_mapper(branchFld_D_K,Fixed,,XML,,bufferMapping55,bufferTemp,,swf_field_55x-swf_field_55x-format_d)'
		<!-- extraction de complements du bloc55D -->
`cmd_mapper(branchFld_D_K,Fixed,,Fixed,,bufferMapping55,bufferWorkMultiligne,activeClearFlag,swf_field_55x-swf_field_55d_comp)'
		<!-- mapping de complements du bloc55D -->
`champ_multiligne(branchFld_D_K,bufferWorkMultiligne,bufferTemp,branchVirtCus,bufferTempMultiligne,swf_field_55d_comp-swf_field_55d_comp)'
<!-- fin traitement avec bloc 55 -->
<!-- mapping des donnees du virement de clientele hors 13c 50 52 55 56 57 59 70 72 et 77 -->
`cmd_mapper(branchVirtCus,Fixed,,XML,,bufferDataMsg,bufferTemp,,crt_flux_stlm_cus-crt_flux_stlm_cus)'
`cmd_mapper(branchVirtCus,Fixed,,XML,,bufferDataVirtCus,bufferTemp,,crt_flux_stlm_cus_end-crt_flux_stlm_cus_end)'
<!-- fin mapping des donnees du virement de clientele hors 13c 50 52 55 56 57 59 70 72 et 77 -->
<!-- extraction des blocs 50 52 56 57 59 et 72 -->
		<!-- extraction du bloc 50 du virement de clientele -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataMsg,bufferMapping50,,crt_flux_stlm_cus-swf_field_50x)'
		<!-- extraction du bloc 52 du virement de clientele -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataMsg,bufferMapping52,,crt_flux_stlm_cus-swf_field_52x)'
		<!-- extraction du bloc 56 du virement de clientele -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataVirtCus,bufferMapping56,,crt_flux_stlm_cus_end-swf_field_56x)'
		<!-- extraction du bloc 57 du virement de clientele -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataVirtCus,bufferMapping57,,crt_flux_stlm_cus_end-swf_field_57x)'
		<!-- extraction du bloc 59 du virement de clientele -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataVirtCus,bufferMapping59,,crt_flux_stlm_cus_end-swf_field_59x)'
		<!-- extraction du bloc 72 du virement de clientele -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataVirtCus,bufferMapping72,,crt_flux_stlm_cus_end-swf_field_72)'
<!-- fin extraction des blocs 50 52 56 57 59 et 72 -->
<!-- mapping des blocs specifiques au virement de clientele 50 59 70 77 -->
	<!-- traitement du bloc 50 -->
		<!-- identifier format du bloc 50 -->
`cmd_identifier(branchVirtCus,bufferMapping50,n,swf_field_50x,'
`				Fixed,swf_field_50k_fmt,branchFld_D_K,'
`				Fixed,swf_field_50a_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_50vide_fmt,branchVirtCus)'
		<!-- mapping du bloc 50A  -->
`cmd_mapper(branchFld_A_B_Blanc,Fixed,,XML,,bufferMapping50,bufferTemp,,swf_field_50x-swf_field_50x-format_a)'
`cmd_go_to(branchFld_A_B_Blanc,branchVirtCus)'
		<!-- mapping du bloc 50k (hors complements) -->
`cmd_mapper(branchFld_D_K,Fixed,,XML,,bufferMapping50,bufferTemp,,swf_field_50x-swf_field_50x-format_k)'
		<!-- extraction de complements du bloc50k -->
`cmd_mapper(branchFld_D_K,Fixed,,Fixed,,bufferMapping50,bufferWorkMultiligne,activeClearFlag,swf_field_50x-swf_field_50k_comp)'
		<!-- mapping de complements du bloc50k -->
`champ_multiligne(branchFld_D_K,bufferWorkMultiligne,bufferTemp,branchVirtCus,bufferTempMultiligne,swf_field_50k_comp-swf_field_50k_comp)'
	<!-- fin bloc 50 -->
	<!-- traitement du bloc 59 -->
		<!-- identifier format du bloc 59 -->
`cmd_identifier(branchVirtCus,bufferMapping59,n,swf_field_59x,'
`				Fixed,swf_field_59blanc_fmt,branchFld_D_K,'
`				Fixed,swf_field_59a_fmt,branchFld_A_B_Blanc)'
		<!-- mapping du bloc 59A  -->
`cmd_mapper(branchFld_A_B_Blanc,Fixed,,XML,,bufferMapping59,bufferTemp,,swf_field_59x-swf_field_59x-format_a)'
`cmd_go_to(branchFld_A_B_Blanc,branchVirtCus)'
		<!-- mapping du bloc 59blanc (hors complements) -->
`cmd_mapper(branchFld_D_K,Fixed,,XML,,bufferMapping59,bufferTemp,,swf_field_59x-swf_field_59x-format_blanc)'
		<!-- extraction de complements du bloc 59blanc -->
`cmd_mapper(branchFld_D_K,Fixed,,Fixed,,bufferMapping59,bufferWorkMultiligne,activeClearFlag,swf_field_59x-swf_field_59blanc_comp)'
		<!-- mapping de complements du bloc59blanc -->
`champ_multiligne(branchFld_D_K,bufferWorkMultiligne,bufferTemp,branchVirtCus,bufferTempMultiligne,swf_field_59blanc_comp-swf_field_59blanc_comp)'
	<!-- fin bloc 59 -->
	<!-- traitement du bloc 70 -->
		<!-- extraction du bloc 70 -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataVirtCus,bufferWorkMultiligne,activeClearFlag,crt_flux_stlm_cus_end-swf_field_70)'
		<!-- mapping du bloc 70 -->
`champ_multiligne(branchVirtCus,bufferWorkMultiligne,bufferTemp,branchVirtCus,bufferTempMultiligne,swf_field_70-swf_field_70)'
	<!-- fin bloc 70 -->
	<!-- traitement du bloc 77 -->
		<!-- extraction du bloc 77 -->
`cmd_mapper(branchVirtCus,Fixed,,Fixed,,bufferDataVirtCus,bufferWorkMultiligne,activeClearFlag,crt_flux_stlm_cus_end-swf_field_77)'
		<!-- mapping du bloc 77 -->
`champ_multiligne(branchVirtCus,bufferWorkMultiligne,bufferTemp,branchMappingCommunBankCus,bufferTempMultiligne,swf_field_77-swf_field_77)'
	<!-- fin bloc 77 -->
<!-- fin mapping des blocs specifiques au virement de clientele 50 59 70 77 -->
<!-- fin branche BB4 -->
<!-- branche BB6 mapping des blocs communs (52 56 57 72 ) au virement bancaire et au virement de clientele -->
<!-- bloc 52 -->		
		<!-- identifier format du bloc 52 -->
`cmd_identifier(branchMappingCommunBankCus,bufferMapping52,n,swf_field_52x,'
`				Fixed,swf_field_52d_fmt,branchFld_D_K,'
`				Fixed,swf_field_52a_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_52vide_fmt,branchMappingCommunBankCus)'
		<!-- mapping du bloc 52A  -->
`cmd_mapper(branchFld_A_B_Blanc,Fixed,,XML,,bufferMapping52,bufferTemp,,swf_field_52x-swf_field_52x-format_a)'
`cmd_go_to(branchFld_A_B_Blanc,branchMappingCommunBankCus)'
		<!-- mapping du bloc 52D (hors complements) -->
`cmd_mapper(branchFld_D_K,Fixed,,XML,,bufferMapping52,bufferTemp,,swf_field_52x-swf_field_52x-format_d)'
		<!-- extraction de complements du bloc52D -->
`cmd_mapper(branchFld_D_K,Fixed,,Fixed,,bufferMapping52,bufferWorkMultiligne,activeClearFlag,swf_field_52x-swf_field_52d_comp)'
		<!-- mapping de complements du bloc52D -->
`champ_multiligne(branchFld_D_K,bufferWorkMultiligne,bufferTemp,branchMappingCommunBankCus,bufferTempMultiligne,swf_field_52d_comp-swf_field_52d_comp)'
<!-- fin bloc 52 -->
<!-- bloc 56 -->		
		<!-- identifier format du bloc 56 -->
`cmd_identifier(branchMappingCommunBankCus,bufferMapping56,n,swf_field_56x,'
`				Fixed,swf_field_56d_fmt,branchFld_D_K,'
`				Fixed,swf_field_56a_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_56vide_fmt,branchMappingCommunBankCus)'
		<!-- mapping du bloc 56A  -->
`cmd_mapper(branchFld_A_B_Blanc,Fixed,,XML,,bufferMapping56,bufferTemp,,swf_field_56x-swf_field_56x-format_a)'
`cmd_go_to(branchFld_A_B_Blanc,branchMappingCommunBankCus)'
		<!-- mapping du bloc 56D (hors complements) -->
`cmd_mapper(branchFld_D_K,Fixed,,XML,,bufferMapping56,bufferTemp,,swf_field_56x-swf_field_56x-format_d)'
		<!-- extraction de complements du bloc56D -->
`cmd_mapper(branchFld_D_K,Fixed,,Fixed,,bufferMapping56,bufferWorkMultiligne,activeClearFlag,swf_field_56x-swf_field_56d_comp)'
		<!-- mapping de complements du bloc56D -->
`champ_multiligne(branchFld_D_K,bufferWorkMultiligne,bufferTemp,branchMappingCommunBankCus,bufferTempMultiligne,swf_field_56d_comp-swf_field_56d_comp)'
<!-- fin bloc 56 -->
<!-- bloc 57 -->		
		<!-- identifier format du bloc 57 -->
`cmd_identifier(branchMappingCommunBankCus,bufferMapping57,n,swf_field_57x,'
`				Fixed,swf_field_57d_fmt,branchFld_D_K,'
`				Fixed,swf_field_57a_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_57b_fmt,branchFld_A_B_Blanc,'
`				Fixed,swf_field_57vide_fmt,branchMappingCommunBankCus)'
		<!-- mapping du bloc 57A  -->
`cmd_mapper(branchFld_A_B_Blanc,Fixed,,XML,,bufferMapping57,bufferTemp,,swf_field_57x-swf_field_57x-format_a)'
`cmd_go_to(branchFld_A_B_Blanc,branchMappingCommunBankCus)'
		<!-- mapping du bloc 57D (hors complements) -->
`cmd_mapper(branchFld_D_K,Fixed,,XML,,bufferMapping57,bufferTemp,,swf_field_57x-swf_field_57x-format_d)'
		<!-- extraction de complements du bloc57D -->
`cmd_mapper(branchFld_D_K,Fixed,,Fixed,,bufferMapping57,bufferWorkMultiligne,activeClearFlag,swf_field_57x-swf_field_57d_comp)'
		<!-- mapping de complements du bloc57D -->
`champ_multiligne(branchFld_D_K,bufferWorkMultiligne,bufferTemp,branchMappingCommunBankCus,bufferTempMultiligne,swf_field_57d_comp-swf_field_57d_comp)'
<!-- fin bloc 57 -->
<!-- bloc 72 -->
		<!-- mapping du bloc 72 (hors autres lignes)  -->
`cmd_mapper(branchMappingCommunBankCus,Fixed,,XML,,bufferMapping72,bufferTemp,,swf_field_72-swf_field_72)'
		<!-- extraction de autres lignes du bloc 72 -->
`cmd_mapper(branchMappingCommunBankCus,Fixed,,Fixed,,bufferMapping72,bufferWorkMultiligne,,swf_field_72-swf_field_72_autres_lignes)'
		<!-- mapping de autres lignes du bloc 72 -->
`champ_multiligne(branchMappingCommunBankCus,bufferWorkMultiligne,bufferTemp,branchTraitSelonFormat,bufferTempMultiligne,swf_field_72_autres_lignes-swf_field_72_autres_lignes)'
<!-- fin bloc 72 -->
<!-- fin partie commune aux flux destines a cristal et aux cre -->
<!-- branche BB5 traitement specifiques aux ordres de restitution -->
		<!-- mapping des entete_commun et entete_or -->
`cmd_mapper(branchVirtOr,Fixed,,XML,,bufferWork,bufferTemp,activeClearFlag,crt_flux_header-crt_flux_header)'
`cmd_mapper(branchVirtOr,Fixed,,XML,,bufferWork,bufferTemp,,crt_flux_or_header-crt_flux_or_header)'
		<!-- extraction des donnees de or -->
`cmd_mapper(branchVirtOr,Fixed,,Fixed,,bufferWork,bufferDataMsg,,crt_flux_ordre_rest-crt_flux_ordre_rest-extract_or_from_flux)'
		<!-- mapping des ordres de restitution -->
`cmd_mapper(branchVirtOr,Fixed,,XML,,bufferDataMsg,bufferTemp,,crt_flux_or-crt_flux_or)'
`cmd_go_to(branchVirtOr,branchTraitSelonFormat)')
dnl
dnl+--------------------------------------+
dnl|    End Macro Section                 |
dnl+--------------------------------------+
dnl
