dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin header_msg Macro                                                 |
dnl+---------------------------------------------------------------------------+
dnl
define(`header_msg',
`<?xml version="1.0" ?>
`<!-- Msg Struct definitions -->'
`<msg_struct>'')
dnl
dnl+---------------------------------------------------------------------------+
dnl|     End header_msg Macro                                                  |
dnl+---------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin footer_msg Macro                                                 |
dnl+---------------------------------------------------------------------------+
dnl
define(`footer_msg',
`<!-- Msg Struct definitions footer -->
`</msg_struct>'')
dnl
dnl+---------------------------------------------------------------------------+
dnl|     End footer_msg Macro                                                  |
dnl+---------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin insert_version Macro                                             |
dnl|                                                                           |
dnl| $1 : la chaine VERSION                                                    |
dnl+---------------------------------------------------------------------------+
dnl
define(`insert_version',
`<version>$1</version>')
dnl
dnl+----------------------------------------------------------------------------+
dnl|     End insert_version Macro                                               |
dnl+----------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin fixed_field Macro                                                |
dnl|                                                                           |
dnl| $1 : Fixed OffSet                                                         |
dnl| $2 : Fixed Size                                                           |
dnl| $3 : Fixed CNV Name                                                       |
dnl| $4 : Fixed CNV Attribute                                                  |
dnl| $5 : Fixed DefVal                                                         |
dnl+---------------------------------------------------------------------------+
dnl
define(`fixed_field',
`ifelse(`$2',,`dnl',`			<fixed>')'
`ifelse(`$1',,`dnl',`				<offset>$1</offset>')'
`ifelse(`$2',,`dnl',`				<size>$2</size>')'
`ifelse(`$3',,`dnl',`				<cnv>')'
`ifelse(`$3',,`dnl',`					<name>$3</name>')'
`ifelse(`$4',,`dnl',`					<attribute>$4</attribute>')'
`ifelse(`$3',,`dnl',`				</cnv>')'
`ifelse(`$5',,`dnl',`				<defval>$5</defval>')'
`ifelse(`$2',,`dnl',`			</fixed>')')
dnl
dnl+----------------------------------------------------------------------------+
dnl|     End fixed_field Macro                                                  |
dnl+----------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin xml_field Macro                                                  |
dnl|                                                                           |
dnl| $1 : XML Name                                                             |
dnl| $2 : XML CNV Name                                                         |
dnl| $3 : XML CNV Attribute                                                    |
dnl| $4 : XML DefVal                                                           |
dnl+---------------------------------------------------------------------------+
dnl
define(`xml_field',
`ifelse(`$1',,`dnl',`			<xml>'
`				<name>$1</name>')'
`ifelse(`$2',,`dnl',`				<cnv>'
`					<name>$2</name>')'
`ifelse(`$3',,`dnl',`					<attribute>$3</attribute>')'
`ifelse(`$2',,`dnl',`				</cnv>')'
`ifelse(`$4',,`dnl',`				<defval>$4</defval>')'
`ifelse(`$1',,`dnl',`			</xml>')')
dnl
dnl+----------------------------------------------------------------------------+
dnl|     End xml_field Macro                                                    |
dnl+----------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin delimited_field Macro                                            |
dnl|                                                                           |
dnl| $1 : Delimited Id                                                         |
dnl| $2 : Delimited CNV Name                                                   |
dnl| $3 : Delimited CNV Attribute                                              |
dnl| $4 : Delimited CNV DefVal                                                 |
dnl+---------------------------------------------------------------------------+
dnl
define(`delimited_field',
`ifelse(`$1',,`dnl',`			<delimited>'
`				<id>$1</id>')'
`ifelse(`$2',,`dnl',`				<cnv>'
`					<name>$2</name>')'
`ifelse(`$3',,`dnl',`					<attribute>$3</attribute>')'
`ifelse(`$2',,`dnl',`				</cnv>')'
`ifelse(`$4',,`dnl',`				<defval>$4</defval>')'
`ifelse(`$1',,`dnl',`			</delimited>')')
dnl
dnl+----------------------------------------------------------------------------+
dnl|     End delimited_field Macro                                              |
dnl+----------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin fml_field Macro                                                  |
dnl|                                                                           |
dnl| $1 : FML Name                                                             |
dnl+---------------------------------------------------------------------------+
dnl
define(`fml_field',
`ifelse(`$1',,`dnl',`			<fml>')'
`ifelse(`$1',,`dnl',`				<name>$1</name>')'
`ifelse(`$1',,`dnl',`			</fml>')')
dnl
dnl+----------------------------------------------------------------------------+
dnl|     End fml_field Macro                                                    |
dnl+----------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin fieldmsg_object Macro                                            |
dnl|                                                                           |
dnl| $1 : Field Name                                                           |
dnl| $2 : ValueId                                                              |
dnl| $3 : Field Exist                                                          |
dnl| $4 : Fixed OffSet                                                         |
dnl| $5 : Fixed Size                                                           |
dnl| $6 : Fixed CNV Name                                                       |
dnl| $7 : Fixed CNV Attribute                                                  |
dnl| $8 : Fixed DefVal                                                         |
dnl| $9 : XML Name                                                             |
dnl| $10: XML CNV Name                                                         |
dnl| $11: XML CNV Attribute                                                    |
dnl| $12: XML DefVal                                                           |
dnl| $13: Delimited Id                                                         |
dnl| $14: Delimited CNV Name                                                   |
dnl| $15: Delimited CNV Attribute                                              |
dnl| $16: Delimited CNV DefVal                                                 |
dnl| $17: FML Name                                                             |
dnl+---------------------------------------------------------------------------+
dnl
define(`fieldmsg_object',
`ifelse($1,,`dnl',`		<field>'
`			<name>$1</name>')'
dnl `		<field>
dnl `			<name>$1</name>'
`ifelse(`$2',,`dnl',`			<valueid>$2</valueid>')'
`ifelse($3,,`dnl',`			<exist>$3</exist>')'
`fixed_field(shift(shift(shift($@))))'
`xml_field(shift(shift(shift(shift(shift(shift(shift(shift($@)))))))))'
`delimited_field(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift($@)))))))))))))'
`fml_field(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift($@)))))))))))))))))'
`ifelse($1,,`dnl',`		</field>')')
dnl `		</field>')
dnl
dnl+----------------------------------------------------------------------------+
dnl|     End fieldmsg_object Macro                                              |
dnl+----------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin list_fieldmsg_object Macro        Arg. variadique                |
dnl|                                                                           |
dnl| $1 : Field Name                                                           |
dnl| $2 : ValueId                                                              |
dnl| $3 : Field Exist                                                          |
dnl| $4 : Fixed OffSet                                                         |
dnl| $5 : Fixed Size                                                           |
dnl| $6 : Fixed CNV Name                                                       |
dnl| $7 : Fixed CNV Attribute                                                  |
dnl| $8 : Fixed DefVal                                                         |
dnl| $9 : XML Name                                                             |
dnl| $10: XML CNV Name                                                         |
dnl| $11: XML CNV Attribute                                                    |
dnl| $12: XML DefVal                                                           |
dnl| $13: Delimited Id                                                         |
dnl| $14: Delimited CNV Name                                                   |
dnl| $15: Delimited CNV Attribute                                              |
dnl| $16: Delimited CNV DefVal                                                 |
dnl| $fieldmsg_object($1,$2,$3,$4,$5,$6,$7,$8,$9,$10,$11,$12,$13,$14,$15,$16)  |
dnl+---------------------------------------------------------------------------+
dnl
define(`list_fieldmsg_object',
`ifelse($#,1,`dnl',`fieldmsg_object($@)'
`list_fieldmsg_object(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift(shift($@))))))))))))))))))')')
dnl
dnl+----------------------------------------------------------------------------+
dnl|     End list_fieldmsg_object Macro                                         |
dnl+----------------------------------------------------------------------------+
dnl
dnl
dnl+---------------------------------------------------------------------------+
dnl|    Begin msg_object Macro                                                 |
dnl|                                                                           |
dnl| $1 : message Name                                                         |
dnl| $2 : message size                                                         |
dnl+---------------------------------------------------------------------------+
dnl
define(`msg_object',
`	<message>
`		<name>$1</name>'
ifelse($2,,`dnl',`		<size>$2</size>')
list_fieldmsg_object(shift(shift($@)))
`	</message>'')
dnl
dnl+---------------------------------------------------------------------------+
dnl|     End msg_object Macro                                                  |
dnl+---------------------------------------------------------------------------+
dnl
